LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
LinkBack Search this Thread
Old 09-22-2004, 12:03 PM   #1
coffeedemon
LQ Newbie
 
Registered: Jun 2004
Distribution: Slack 9.1
Posts: 26

Rep: Reputation: 15
python errors


I was trying to install bittorrent and it needed python-base as a dependant. so i attempted to install what i thought was what i needed but apparently not. now anything that uses python (i.e. yum) gives me this error.

/usr/bin/python: relocation error: /usr/bin/python: symbol __guard, version GCC_3.0 not defined in file libgcc_s.so.1 with link time reference

i attempted to reinstall libgcc just for kicks and the dependancy list was pretty much everything which scared me off from doing that. i tried reinstalling python 3.0 but that didn't change anything. What to do?
 
Old 09-22-2004, 04:41 PM   #2
rose_bud4201
Member
 
Registered: Aug 2002
Location: St Louis, MO
Distribution: Slack 10.2, Slack 12, Suse 10.0, DSL 2.2, Xubuntu 7.04
Posts: 920

Rep: Reputation: 30
Re: python errors

Quote:
so i attempted to install what i thought was what i needed but apparently not.
What did you actually install?
 
Old 05-07-2006, 03:18 PM   #3
Alkimisticus
LQ Newbie
 
Registered: May 2006
Posts: 1

Rep: Reputation: 0
Same problem. Solved !

Reinstall python on Cent-OS 4.3, python-base is for Mandrake.

rpm --force -Uvh <your version python rpm packets>

Last edited by Alkimisticus; 05-07-2006 at 03:20 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
KDE3.5 Upgrade kdebindings-python dependency errors EclipseAgent Suse/Novell 26 12-27-2005 09:46 AM
Python Errors - Ipodder snowman156 Slackware 3 12-09-2004 09:47 PM
make compile errors -- python problems??? p_motch Linux - Newbie 2 07-11-2004 07:37 PM
Bittorrent: python errors davoman Linux - Software 2 04-16-2004 02:45 PM
python errors xconspirisist Linux - Software 1 02-16-2004 06:00 AM


All times are GMT -5. The time now is 11:16 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration